﻿@model LoginViewModel

<div class="container mt-4">
    <form asp-action="Login" method="post">
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <h1 class="h3 mb-3 fw-normal">Please sign in</h1>

        <div class="form-floating mb-3">
            <input asp-for="Username" class="form-control" id="floatingInput" placeholder="username">
            <span asp-validation-for="Username" class="text-danger"></span>
            <label asp-for="Username" for="floatingInput">Username</label>
        </div>
        <div class="form-floating">
            <input asp-for="Password" type="password" class="form-control" id="floatingPassword" placeholder="Password">
            <span asp-validation-for="Password" class="text-danger"></span>
            <label asp-for="Password" for="floatingPassword">Password</label>
        </div>

        <div class="form-check text-start my-3">
            <input asp-for="RememberMe" class="form-check-input" type="checkbox" id="flexCheckDefault">
            <label asp-for="RememberMe" class="form-check-label" for="flexCheckDefault">
                Remember me
            </label>
        </div>
        <button class="btn btn-primary w-100 py-2" type="submit">Sign in</button>
    </form>
</div>